## AnacondaMountpointSelector

AnacondaMountpointSelector — A graphical way to select a mount point.

## Functions

GtkWidget * | anaconda_mountpoint_selector_new ()
gboolean | anaconda_mountpoint_selector_get_chosen ()
void | anaconda_mountpoint_selector_set_chosen ()

## Properties

gchar * | mountpoint | Read / Write
gchar * | name | Read / Write
gchar * | size | Read / Write

## Types and Values

struct | AnacondaMountpointSelector
struct | AnacondaMountpointSelectorClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkEventBox
                            ╰── AnacondaMountpointSelector

## Implemented Interfaces

AnacondaMountpointSelector implements AtkImplementorIface and GtkBuildable.

## Description

A AnacondaMountpointSelector is a widget that appears on the custom partitioning spoke and allows the user to select a single mount point to do additional configuration.

As a AnacondaMountpointSelector is a subclass of a GtkEventBox, any signals may be caught. However ::button-press-event is the most important one and is how we determine what should be displayed on the rest of the screen.

## Functions

### anaconda_mountpoint_selector_new ()

    GtkWidget *
    anaconda_mountpoint_selector_new ();

Creates a new AnacondaMountpointSelector, which is a selectable display for a single mountpoint. Many mountpoints may be put together into a list, displaying all configured filesystems at once.

#### Returns

A new AnacondaMountpointSelector.

### anaconda_mountpoint_selector_get_chosen ()

    gboolean
    anaconda_mountpoint_selector_get_chosen
                                   (AnacondaMountpointSelector *widget);

Returns whether or not this mountpoint has been chosen by the user.

#### Parameters

widget | a AnacondaMountpointSelector |

#### Returns

Whether `widget` has been chosen.

Since 1.0

### anaconda_mountpoint_selector_set_chosen ()

    void
    anaconda_mountpoint_selector_set_chosen
                                   (AnacondaMountpointSelector *widget,
                                    gboolean is_chosen);

Specifies whether the mountpoint shown by this selector has been chosen by the user. If so, a special background will be set as a visual indicator.

#### Parameters

widget | a AnacondaMountpointSelector |
is_chosen | `TRUE` if this mountpoint is chosen. |

Since 1.0

## Types and Values

### struct AnacondaMountpointSelector

    struct AnacondaMountpointSelector;

The AnacondaMountpointSelector struct contains only private fields and should not be directly accessed.

### struct AnacondaMountpointSelectorClass

    struct AnacondaMountpointSelectorClass {
        GtkEventBoxClass parent_class;
    };

#### Members

GtkEventBoxClass `parent_class`; | The object class structure needs to be the first element in the widget class structure in order for the class mechanism to work correctly. This allows an AnacondaMountpointSelectorClass pointer to be cast to a GtkEventBox pointer. |

## Property Details

### The `“mountpoint”` property

      “mountpoint”               gchar *

The :mountpoint string is the primary text displayed for this widget. It shows where on the filesystem this device is mounted.

Flags: Read / Write

Default value: ""

Since 1.0

### The `“name”` property

      “name”                     gchar *

The :name string is the secondary text displayed for this widget. It is commonly going to be the name of the device node containing this mountpoint.

Flags: Read / Write

Default value: ""

Since 1.0

### The `“size”` property

      “size”                     gchar *

The :size string is the size of the mountpoint, including whatever units it is measured in.

Flags: Read / Write

Default value: "0 GB"

Since 1.0